STDBUF(1)

NAVN
stdbuf - kør KOMMANDO med ændrede bufferoperationer for dens standardstrømme

SYNOPSIS
stdbuf FLAG... KOMMANDO

BESKRIVELSE

Kør KOMMANDO med ændrede bufferoperationer for dens standardstrømme.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-i, --input=TILSTAND
    angiv buffertilstand for standard-ind

-o, --output=TILSTAND
    angiv buffertilstand for standard-ud

-e, --error=TILSTAND
    angiv buffertilstand for standard-fejl

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Hvis TILSTAND er "L", vil den tilhørende strøm være linjebufret. Dette flag er ugyldigt med standard-ind.

Hvis TILSTAND er "0", vil den tilhørende strøm være uden buffer.

Ellers er TILSTAND et tal, der kan følges af enhver af følgende: KB 1000, K 1024, MB 1000*1000, M 1024*1024, og så videre for G,T,P,E,Z,Y,R,Q. Binært præfiks kan også bruges: KiB=K, MiB=M og så videre. I dette tilfælde vil den pågældende strøm være fuldt mellemlagret med bufferstørrelsen angivet til TILSTAND byte.

BEMÆRK: Hvis KOMMANDO ændrer buffertilstanden for dens standardstrømme (f. eks. gør "tee" dette), så vil dette tilsidesætte de tilsvarende ændringer fra "stdbuf". Derudover bruger visse filtre (såsom "dd" og "cat") ikke strømme til I/O, og påvirkes derfor ikke af indstillingerne fra "stdbuf".

  Afslutningskode:

125 hvis kommandoen stdbuf i sig selv fejler

126 hvis KOMMANDO findes men ikke kan igangsættes

127 hvis KOMMANDO ikke kan findes

-   afslutningsstatud for KOMMANDO ellers

EKSEMPLER
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Dette vil øjeblikkeligt vise unikke poster fra access.log

FEJL
På GLIBC-platforme vil angivelse af en størrelse på mellemlageret, dvs. brug af fuldt mellemlagret tilstand medføre en ikkedefineret operation.

FORFATTER
Skrevet af Padraig Brady.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/stdbuf>
eller lokalt tilgængelig via: info '(coreutils) stdbuf invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det.
Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.